package fabrik.simulator.pic16f84;

public class ExecutionState {

    private static boolean isAutoRunActive = false;
    private static boolean isSleeping = false;
    private static double executionTimeMultiplier = 1;

    public static boolean isAutoRunActive() { return isAutoRunActive; }
    public static void setAutoRunActive(boolean active) { isAutoRunActive = active; }

    public static boolean isSleeping() { return isSleeping; }
    public static void sleep() { isSleeping = true; }
    public static void wakeUp() { isSleeping = false; }

    public static double getExecutionTimeMultiplier() { return executionTimeMultiplier; }
    public static void setExecutionTimeMultiplier(double multiplier) { executionTimeMultiplier = multiplier; }
}

